package com.writeoff.module.project.repository;

import com.writeoff.module.project.model.Project;

import java.util.List;
import java.util.Optional;

public interface ProjectRepository {
    Project save(Project project);

    Optional<Project> findById(Long id);

    List<Project> findAll(boolean includeDeleted);

    List<Project> findByParentProjectId(Long parentProjectId, boolean includeDeleted);
}
